# TdApi.GetMessages

Package it.ernytech.tdlib

## Class TdApi.GetMessages

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetMessages

Enclosing class:
  TdApi

    public static class TdApi.GetMessages
    extends TdApi.Function

Returns information about messages. If a message is not found, returns null on the corresponding position of the result.

Returns `Messages`

### Field Summary

Fields
`long` `chatId` Identifier of the chat the messages belong to.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long[]` `messageIds` Identifiers of the messages to get.

### Constructor Summary

Constructors
`GetMessages()` Default constructor.
`GetMessages​(long chatId, long[] messageIds)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Identifier of the chat the messages belong to.

#### messageIds

    public long[] messageIds

Identifiers of the messages to get.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetMessages

    public GetMessages()

Default constructor.

#### GetMessages

    public GetMessages​(long chatId,
                       long[] messageIds)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Identifier of the chat the messages belong to.
  `messageIds` - Identifiers of the messages to get.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR